Bug 9975 - postfix expects sasl2 plugins in /usr/lib while they are in /usr/lib64 at x86_64
: postfix expects sasl2 plugins in /usr/lib while they are in /usr/lib64 at x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/postfix-tls)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-09-08 22:52 by
Modified: 2006-11-01 18:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-08 22:52:56
Я тут потратил несколько часов, настраивая сизифный Постфикс работать с
cyrus-sasl2. Он запускался, но сессии на 25 порт кончал молча:
---
$ telnet localhost 25
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
Connection closed by foreign host.
---
В протокол при этом шло:
---
Sep  8 12:55:39 alt64 postfix/master[12716]: daemon started -- version
2.2.11, configuration /etc/postfix
Sep  8 12:55:42 alt64 postfix/smtpd[12727]: fatal: no SASL
authentication mechanisms
Sep  8 12:55:43 alt64 postfix/master[12716]: warning: process
/usr/lib/postfix/smtpd pid 12727 exit status 1
Sep  8 12:55:43 alt64 postfix/master[12716]: warning:
/usr/lib/postfix/smtpd: bad command startup -- throttling
---
Дело исправилось, когда я сделал линк:
---
ln -s /usr/lib64/sasl2 /usr/lib/
------- Comment #1 From 2006-09-08 23:31:16 -------
Вероятно, проблема связана с postfix-2.2.4-deb-alt-sasl-config.patch - в этом
патче забит путь /usr/lib/sasl2, который на x86_64 неверен.
------- Comment #2 From 2006-09-09 03:17:52 -------
Fixed in 2.2.11-alt2.